org.eclipse.net4j.util.ui

## Class DefaultPropertySource<RECEIVER>

- java.lang.Object
- - org.eclipse.net4j.util.ui.DefaultPropertySource<RECEIVER>

- All Implemented Interfaces:
    IPropertySource
  Direct Known Subclasses:
    DefaultPropertySource.Augmented

      public class DefaultPropertySource<RECEIVER>
      extends Object
      implements IPropertySource

  Since:
    3.2
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DefaultPropertySource.Augmented<RECEIVER,AUGMENTING_RECEIVER>`
    `static class` | `DefaultPropertySource.DelegatingPropertyDescriptor<RECEIVER>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultPropertySource(RECEIVER receiver)`
    `DefaultPropertySource(RECEIVER object, IPropertyProvider<RECEIVER> provider)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `addDescriptor(IPropertyDescriptor descriptor)`
    `PropertyDescriptor` | `addDescriptor(String category, Object id, String displayName, String description)`
    `void` | `addDescriptors(IPropertyProvider<RECEIVER> provider)`
    `Object` | `getEditableValue()`
    `Property<RECEIVER>` | `getProperty(Object id)`
    `IPropertyDescriptor` | `getPropertyDescriptor(Object id)`
    `IPropertyDescriptor[]` | `getPropertyDescriptors()`
    `Object` | `getPropertyValue(Object id)`
    `RECEIVER` | `getReceiver()`
    `boolean` | `isPropertySet(Object id)`
    `void` | `resetPropertyValue(Object id)`
    `void` | `setPropertyValue(Object id, Object value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultPropertySource

          public DefaultPropertySource(RECEIVER receiver)

    - #### DefaultPropertySource

          public DefaultPropertySource(RECEIVER object,
                                       IPropertyProvider<RECEIVER> provider)

  - ### Method Detail

    - #### getReceiver

          public RECEIVER getReceiver()

    - #### addDescriptor

          public boolean addDescriptor(IPropertyDescriptor descriptor)

      Since:
        3.5

    - #### addDescriptor

          public PropertyDescriptor addDescriptor(String category,
                                                  Object id,
                                                  String displayName,
                                                  String description)

    - #### addDescriptors

          public void addDescriptors(IPropertyProvider<RECEIVER> provider)

    - #### getPropertyDescriptors

          public IPropertyDescriptor[] getPropertyDescriptors()

      Specified by:
        `getPropertyDescriptors` in interface `IPropertySource`

    - #### getPropertyDescriptor

          public IPropertyDescriptor getPropertyDescriptor(Object id)

    - #### getProperty

          public Property<RECEIVER> getProperty(Object id)

    - #### getPropertyValue

          public Object getPropertyValue(Object id)

      Specified by:
        `getPropertyValue` in interface `IPropertySource`

    - #### isPropertySet

          public boolean isPropertySet(Object id)

      Specified by:
        `isPropertySet` in interface `IPropertySource`

    - #### resetPropertyValue

          public void resetPropertyValue(Object id)

      Specified by:
        `resetPropertyValue` in interface `IPropertySource`

    - #### setPropertyValue

          public void setPropertyValue(Object id,
                                       Object value)

      Specified by:
        `setPropertyValue` in interface `IPropertySource`

    - #### getEditableValue

          public Object getEditableValue()

      Specified by:
        `getEditableValue` in interface `IPropertySource`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html